Package org.zkoss.stateless.util

## Interface ActionHandler6<A,​B,​C,​D,​E,​F>

- All Superinterfaces:
    `ActionHandler`, `CheckedConsumer6<A,​B,​C,​D,​E,​F>`, `java.io.Serializable`
  All Known Subinterfaces:
    `ActionType.OnAcrossPage6<A,​B,​C,​D,​E,​F>`, `ActionType.OnAdjustCols6<A,​B,​C,​D,​E,​F>`, `ActionType.OnAdjustFrozenCols6<A,​B,​C,​D,​E,​F>`, `ActionType.OnAdjustRows6<A,​B,​C,​D,​E,​F>`, `ActionType.OnAfterRender6<A,​B,​C,​D,​E,​F>`, `ActionType.OnAfterSize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnAnchorPos6<A,​B,​C,​D,​E,​F>`, `ActionType.OnBlur6<A,​B,​C,​D,​E,​F>`, `ActionType.OnBookmarkChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCameraUnavailable6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCancel6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCellClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnChanging6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCheck6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCheckSelectAll6<A,​B,​C,​D,​E,​F>`, `ActionType.OnClear6<A,​B,​C,​D,​E,​F>`, `ActionType.OnClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnClientInfo6<A,​B,​C,​D,​E,​F>`, `ActionType.OnClose6<A,​B,​C,​D,​E,​F>`, `ActionType.OnColSize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCreate6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCrop6<A,​B,​C,​D,​E,​F>`, `ActionType.OnCtrlKey6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDataLoading6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDeferredEvaluation6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDesktopRecycle6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDetect6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDivisionSize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDoubleClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnDrop6<A,​B,​C,​D,​E,​F>`, `ActionType.OnError6<A,​B,​C,​D,​E,​F>`, `ActionType.OnFocus6<A,​B,​C,​D,​E,​F>`, `ActionType.OnFulfill6<A,​B,​C,​D,​E,​F>`, `ActionType.OnGroup6<A,​B,​C,​D,​E,​F>`, `ActionType.OnHistoryPopState6<A,​B,​C,​D,​E,​F>`, `ActionType.OnInnerWidth6<A,​B,​C,​D,​E,​F>`, `ActionType.OnItemClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnLengthLimitExceed6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMaxFileCountExceed6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMaximize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMaxsizeExceed6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMinimize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnModal6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMouseOut6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMouseOver6<A,​B,​C,​D,​E,​F>`, `ActionType.OnMove6<A,​B,​C,​D,​E,​F>`, `ActionType.OnNotify6<A,​B,​C,​D,​E,​F>`, `ActionType.OnOK6<A,​B,​C,​D,​E,​F>`, `ActionType.OnOpen6<A,​B,​C,​D,​E,​F>`, `ActionType.OnPageSize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnPaging6<A,​B,​C,​D,​E,​F>`, `ActionType.OnPiggyback6<A,​B,​C,​D,​E,​F>`, `ActionType.OnPortalDrop6<A,​B,​C,​D,​E,​F>`, `ActionType.OnPortalMove6<A,​B,​C,​D,​E,​F>`, `ActionType.OnRangeValueChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnRender6<A,​B,​C,​D,​E,​F>`, `ActionType.OnRightClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnRotate6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSave6<A,​B,​C,​D,​E,​F>`, `ActionType.OnScriptError6<A,​B,​C,​D,​E,​F>`, `ActionType.OnScroll6<A,​B,​C,​D,​E,​F>`, `ActionType.OnScrolling6<A,​B,​C,​D,​E,​F>`, `ActionType.OnScrollPos6<A,​B,​C,​D,​E,​F>`, `ActionType.OnScrollX6<A,​B,​C,​D,​E,​F>`, `ActionType.OnScrollY6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSearch6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSearching6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSelect6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSelection6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSelectSubModel6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSize6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSlide6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSnapshotUpload6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSort6<A,​B,​C,​D,​E,​F>`, `ActionType.OnStateChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnStub6<A,​B,​C,​D,​E,​F>`, `ActionType.OnSwipe6<A,​B,​C,​D,​E,​F>`, `ActionType.OnTargetClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnTimer6<A,​B,​C,​D,​E,​F>`, `ActionType.OnTimeZoneChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnTopPad6<A,​B,​C,​D,​E,​F>`, `ActionType.OnUngroup6<A,​B,​C,​D,​E,​F>`, `ActionType.OnUpload6<A,​B,​C,​D,​E,​F>`, `ActionType.OnURIChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnUser6<A,​B,​C,​D,​E,​F>`, `ActionType.OnVisibilityChange6<A,​B,​C,​D,​E,​F>`, `ActionType.OnWeekClick6<A,​B,​C,​D,​E,​F>`, `ActionType.OnZIndex6<A,​B,​C,​D,​E,​F>`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ActionHandler6<A,​B,​C,​D,​E,​F>
      extends CheckedConsumer6<A,​B,​C,​D,​E,​F>, ActionHandler

  Represents an action handler with six arguments.
  Author:
    jumperchen

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.stateless.util.ActionHandler

      `CACHE_SIZE, DEFAULT_VALUES, LOADED_CLASS_CACHE, LOADED_LAMBDA_CACHE, LOADED_METHOD_CACHE`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default int` | `getParameterCount()` | Returns the parameter count for this action handler.

    - ### Methods inherited from interface org.zkoss.stateless.util.ActionHandler

      `call, call`

    - ### Methods inherited from interface org.zkoss.stateless.function.CheckedConsumer6

      `accept, andThen`

- - ### Method Detail

    - #### getParameterCount

          default int getParameterCount()

      Description copied from interface: `ActionHandler`
      Returns the parameter count for this action handler.
      Specified by:
        `getParameterCount` in interface `ActionHandler`
      Returns:
        A number of parameters of a lambda method or a method reference.